Main Page Widgets Namespaces Book

# Gtk::VScale Class Reference
[Widgets]

Inheritance diagram for Gtk::VScale:

[legend]

List of all members.

## Detailed Description

A vertical slider for selecting values.

The Gtk::VScale widget is used to allow the user to select a value using a vertical slider. See the Gtk::Scale documentation for more information on how to use a Gtk::VScale.

A VScale widget looks like this:

## Public Member Functions

const GtkVScale* | gobj () const
| Provides access to the underlying C GtkObject.
GtkVScale* | gobj ()
| Provides access to the underlying C GtkObject.
| VScale (Adjustment& adjustment)
| VScale (double min, double max, double step)
| Construct a VScale with the given minimum and maximum.
| VScale ()
virtual | ~VScale ()

## Related Functions

(Note that these are not member functions.)
Gtk::VScale* | wrap (GtkVScale* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::VScale::~VScale | ( |  | ) | `[virtual]`

Gtk::VScale::VScale | ( |  | ) |

Gtk::VScale::VScale | ( | double | min,
|  | double | max,
|  | double | step |
| ) |  |  |

Construct a VScale with the given minimum and maximum.

The step size is the distance the slider moves when the arrow keys are used to adjust the scale value.

Gtk::VScale::VScale | ( | Adjustment& | adjustment | ) | `[explicit]`

## Member Function Documentation

const GtkVScale* Gtk::VScale::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Scale.

GtkVScale* Gtk::VScale::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Scale.

## Friends And Related Function Documentation

Gtk::VScale* wrap | ( | GtkVScale * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- scale.h